---
title: "Remove Channel Owner"
slug: "remove-channel-owner"
updated: 2026-06-08T12:46:40Z
published: 2026-06-08T12:46:40Z
stale: true
---

> ## Documentation Index
> Fetch the complete documentation index at: https://developer.rocket.chat/llms.txt
> Use this file to discover all available pages before exploring further.

# Remove Channel Owner

Post/api/v1/channels.removeOwner

Remove the `owner` role from a user in a channel.

Permission required:`set-owner`.

### Changelog

| Version | Description |
| --- | --- |
| 0.49.4 | Added |

Header parametersX-Auth-TokenstringRequired

The `authToken` of the authenticated user.

ExampleRScctEHSmLGZGywfIhWyRpyofhKOiMoUIpimhvheU3f
X-User-IdstringRequired

The `userId` of the authenticated user.

ExamplerbAXPnMktTFbNpwtJ

Body parameters<select class='api-response-data' aria-label='Media type'><option value='8f1514d3-7e5c-4f14-9e2d-09a91a323e96'>application/json</option>
</select><select class='select-example' aria-label='Media type'><option value='384eccc0-7278-4b70-af59-cd779608acf5'>Example</option>
</select>Example

```json
{
  "roomId": "ByehQjC44FwMeiLbX",
  "userId": "oCHkav5Zf6vmpu2W2"
}
```

object  roomIdstring    Required

The channel's id

userIdstring    Required

The user's id

Responses200

OK

<select class='api-response-data' aria-label='Media type'><option value='389c3034-c2b6-4227-aba9-08448f250227'>application/json</option>
</select><select class='select-example' aria-label='Media type'><option value='a58da58e-05f6-408e-989e-9bf23fd267ff'>Success</option>
</select>Success

```json
{
  "success": true
}
```

object  successboolean    

401

Unauthorized

<select class='api-response-data' aria-label='Media type'><option value='95a7c3fe-7fc1-4a0f-bde1-f1085f0e103c'>application/json</option>
</select><select class='select-example' aria-label='Media type'><option value='b5ac40a1-40c8-4f01-8e7c-7dadf98897f0'>Authorization Error</option>
</select>Authorization Error

```json
{
  "status": "error",
  "message": "You must be logged in to do this."
}
```

object  statusstring    
messagestring
